## cfengine3 3.1.5

=== debian/changelog ===
cfengine3 (3.1.5-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:25:46 +0100

cfengine3 (3.1.5-1) unstable; urgency=low

  * New upstream release
  * debian/patches: refreshed
  * debian/control: Standards-Version bumped to 3.9.2, no changes required
  * rewrites to use dh:
    + debian/rules: simplified and all rm's removed
    + debian/cfengine3.install: selectively install what we need
    + debian/control: added a versioned debhelper

 -- Antonio Radici <antonio@debian.org>  Fri, 06 May 2011 22:23:11 +0000

cfengine3 (3.1.5~b1-1) unstable; urgency=low

  * New upstream release
  * debian/patches:
    + fhs-compliance: patch from Andreas Larsson to include a missing line to
      be fully compliant with FHS (Closes: 619580)
    + remove-man-errors: s/sucessfully/successfully/g
  * debian/watch: removed the repack for copyright issues, the pdf is not 
    shipped anymore by upstream
  * debian/copyright:
    + removing any reference to repack.sh and its licenses
    + copyright updates suggested by Mikhail Gusarov (Closes: 620961)
  * debian/rules:
    + reformatted configure opts and added htmldir to include the html docs in
      the package (Closes: 609367)
    + disabled nova and constellation, not included in the free version
    + added dh_autoreconf and dh_autoreconf_clean
  * debian/cfengine3.doc-base: added a doc-base for the HTML doc distributed
  * debian/control:
    + added dh-autoreconf to Build-Depends
  * debian/source/local-options: unapply all patches after the build

 -- Antonio Radici <antonio@debian.org>  Mon, 11 Apr 2011 17:45:21 +0100

cfengine3 (3.1.4+dsfg-1) unstable; urgency=low

  * New upstream release (Closes: 610962)
  * debian/patches:
    + all patches refreshed

 -- Antonio Radici <antonio@debian.org>  Mon, 07 Mar 2011 00:36:34 +0000

cfengine3 (3.1.2+dfsg-1) experimental; urgency=low

  * New upstream release (Closes: 585619, 605534)
  * debian/cfengine3.init: quote the unquoted variables (Closes: 605044)
  * debian/postrm: clean up files during purge (Closes: 606359)
  * debian/patches: all refreshed/re-adapted
  * debian/rules: added --enable-shared=no, otherwise libpromises.so.1 will be
    shipped
  * debian/cfengine3.default: variable names now compatible with cfengine3.init
    (Closes: 602404)

 -- Antonio Radici <antonio@debian.org>  Mon, 03 Jan 2011 21:08:59 +0000

cfengine3 (3.1.0~b2+dfsg-1) experimental; urgency=low

  * New upstream release (Closes: 598541)
  * debian/control:
    + Standards-Version bumped to 3.9.1
  * debian/patches:
    + all patches refreshed
    + fix-error-typos removed, integrated upstream
    + fhs-compliance to create the workdir (Closes: 597552)
  * debian/source/include-binaries:
    + docs/ContributorStatement.pdf added

 -- Antonio Radici <antonio@debian.org>  Sun, 17 Oct 2010 21:55:10 +0100

=== debian/control ===
Source: cfengine3
Section: admin
Priority: optional
Maintainer: Antonio Radici <antonio@debian.org>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, libdb-dev, libssl-dev,
 flex, bison, libpcre3-dev, dh-autoreconf
Standards-Version: 3.9.2
Homepage: http://www.cfengine.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/cfengine3.git
Vcs-Git: git://git.debian.org/git/collab-maint/cfengine3.git

Package: cfengine3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for configuring and maintaining network machines
 Cfengine is a suite of programs for integrated autonomic management 
 of either individual or networked computers.
 .
 Cfengine 3 is both a more powerful and much simplified version of cfengine, 
 which has been designed to inter operate with cfengine 2 rather than be 
 backwards compatible with it.
 .
 With cfengine 3 you can install, configure and maintain computers using 
 powerful hands-free tools.

Package: cfengine3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: cfengine3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: debugging symbols for cfengine3
 The main purpose of cfengine is to allow the system administrator
 to create a single central file which will define how every host
 on a network should be configured.
 .
 This package contains the debugging symbols for cfengine3.

=== debian/rules ===
#!/usr/bin/make -f
# vim:noet:ts=4:sw=4:

%:
	dh $@

override_dh_auto_configure:
	dh_autoreconf
	./configure --enable-shared=no \
				--without-nova \
				--without-constellation \
				--prefix=/usr \
				--with-sql=no \
				--with-workdir=/var/lib/cfengine3 \
				--mandir=\$${prefix}/share/man \
				--infodir=\$${prefix}/share/info \
				--htmldir=\$${prefix}/share/doc/cfengine3/html \
				CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

override_dh_clean:
	dh_autoreconf_clean
	dh_clean

override_dh_compress:
	dh_compress -X.cf

override_dh_installinfo:

override_dh_strip:
	dh_strip --dbg-package=cfengine3-dbg

## cfengine3 3.2.4

=== debian/changelog ===
cfengine3 (3.2.4-2+nmu1build1) trusty; urgency=low

  * No change rebuild against db 5.3.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 01 Nov 2013 23:18:21 +0000

cfengine3 (3.2.4-2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Include full text of the Frontier Artistic License (closes: #701864). 

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Mar 2013 08:53:27 +0000

cfengine3 (3.2.4-2) unstable; urgency=low

  * debian/{README.Debian,links}:
    + restoring /var/lib/cfengine3/inputs as a link to /etc/cfengine3
      (Closes: 664636).

 -- Antonio Radici <antonio@debian.org>  Mon, 19 Mar 2012 19:56:35 +0000

cfengine3 (3.2.4-1) unstable; urgency=low

  * New upstream release
  * debian/watch:
    + refreshed to use the new upstream URLs
  * debian/control:
    + Standards-Version updated to 3.9.3, no change required
  * debian/patches:
    + refreshed all patches, removed fix-error-typos
    + added 626647-kfreebsd-support.patch to add kfreebsd support
      (Closes: 626647)
  * debian/cfengine3.install:
    + installing the distributed share/doc directory, exmaples included.
  * debian/README.Debian:
    + updated to reflect that inputs/ are now in examples_config/
  * debian/links:
    + dropped the /var/lib/cfengine3/inputs link because it does not exist
      anymore upstream
  * debian/cfengine3.doc-base: dropping cf3.html which was removed by upstream
    and replacing it with agents.html (this is debatable but from the next
    version we will get a better HTML doc).

 -- Antonio Radici <antonio@debian.org>  Sat, 17 Mar 2012 18:12:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: cfengine3
 Section: admin
 Priority: optional
-Maintainer: Antonio Radici <antonio@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antonio Radici <antonio@debian.org>
 Build-Depends: debhelper (>= 7.0.50), autotools-dev, libdb-dev, libssl-dev,
  flex, bison, libpcre3-dev, dh-autoreconf
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.cfengine.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/cfengine3.git
 Vcs-Git: git://git.debian.org/git/collab-maint/cfengine3.git

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,7 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=cfengine3-dbg
+
+override_dh_installchangelogs:
+	rm debian/cfengine3/usr/share/doc/cfengine3/ChangeLog
+	dh_installchangelogs

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# usually the cfengine maintainer releases versions like x.x.xb7 or x.x.xa4
# *before* the official version, which does not contain any letter, so we need
# to adapt our version otherwise uscan will believe, for example, that 3.0.2 is
# older than 3.0.2b3
opts="uversionmangle=s{([a-z]\d)}{~$1}i,filenamemangle=s{/tarballs/download.php\?file=}{}" \
http://www.cfengine.org/pages/source_code /tarballs/.+?cfengine-(.*)\.tar\.gz

## cfengine3 3.6.2

=== debian/changelog ===
cfengine3 (3.6.2-4ubuntu1) xenial; urgency=medium

  * debian/patches:
    + fix_rlist_segfault fix test failures

 -- Lars Tangvald <lars.tangvald@oracle.com>  Tue, 12 Apr 2016 13:37:56 +0200

cfengine3 (3.6.2-4) unstable; urgency=medium

  * debian/patches:
    + fix_kfreebsd_build fixed after testing on a porterbox
    + disable_failing_test_on_sparc: disable mon_cpu_test to build on sparc

 -- Antonio Radici <antonio@debian.org>  Sun, 26 Oct 2014 09:42:11 +0000

cfengine3 (3.6.2-3) unstable; urgency=medium

  * debian/patches:
    + fix_kfreebsd_build to allow the build on Debian/kFreeBSD

 -- Antonio Radici <antonio@debian.org>  Sun, 26 Oct 2014 07:30:01 +0000

cfengine3 (3.6.2-2) unstable; urgency=medium

  * debian/patches:
    + removing some more tests that are causing FTBFS on different archs.

 -- Antonio Radici <antonio@debian.org>  Sat, 25 Oct 2014 22:01:24 +0000

cfengine3 (3.6.2-1) unstable; urgency=low

  * New upstream release (Closes: 609366, 699809)
    + big thanks to Brian Bennett, Bas van der Vlies and
      debian-team@cfengine.com!
    + no longer using /etc/cfengine3 as repository for the state files;
      documented that in NEWS.Debian
  * Multi-tar package, it also includes the masterfiles (Closes: 641319)
  * debian/postinst:
    + added code to migrate the files contained in /etc/cfengine3 to
     /var/lib/cfengine3 if and only if the latter is a symlink to the directory
     in /etc (Closes: 611659)
    + added the code to move the masterfiles into
      /var/lib/cfengine3/masterfiles if the directory is empty
  * debian/control:
    + added libpromises3 as output of the build process
    + Standards-Version updated to 3.9.6
  * debian/rules:
    + got rid of the info and html docs, they are not shipped anymore
  * debian/patches:
    + major cleanup done, some patches adapted to the new code
  * debian/NEWS:
    + added this file to announce the demise of the inputs symlink
  * debian/cfengine3.default:
    + Brian fixed the variable names sourced by the init scirpt (Closes: 602404)
  * debian/watch:
    + updated to pick up the source from the right URL

 -- Antonio Radici <antonio@debian.org>  Tue, 21 Oct 2014 14:49:40 +0000

=== debian/control ===
Source: cfengine3
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antonio Radici <antonio@debian.org>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, libssl-dev, libpq-dev,
 flex, bison, libpcre3-dev, dh-autoreconf, libvirt-dev, libacl1-dev, liblmdb-dev,
 libmysqlclient-dev, libpq-dev, libxml2-dev, quilt, libpam0g-dev
Standards-Version: 3.9.6
Homepage: http://www.cfengine.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/cfengine3.git
Vcs-Git: git://git.debian.org/git/collab-maint/cfengine3.git

Package: cfengine3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for configuring and maintaining network machines
 Cfengine is a suite of programs for integrated autonomic management
 of either individual or networked computers.
 .
 Cfengine 3 is both a more powerful and much simplified version of cfengine,
 which has been designed to inter operate with cfengine 2 rather than be
 backwards compatible with it.
 .
 With cfengine 3 you can install, configure and maintain computers using
 powerful hands-free tools.

Package: cfengine3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: cfengine3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: debugging symbols for cfengine3
 The main purpose of cfengine is to allow the system administrator
 to create a single central file which will define how every host
 on a network should be configured.
 .
 This package contains the debugging symbols for cfengine3.

Package: libpromises3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libpromises library for cfengine3 binaries
 The main purpose of cfengine is to allow the system administrator
 to create a single central file which will define how every host
 on a network should be configured.
 .
 This package contains the libpromises3 library.

=== debian/rules ===
#!/usr/bin/make -f
# vim:noet:ts=4:sw=4:

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_autoreconf
	./configure 	--prefix=/usr \
			--with-sql=yes \
			--with-mysql \
			--with-postgresql \
			--with-libvirt \
			--with-lmdb \
			--with-libxml2 \
			--with-workdir=/var/lib/cfengine3 \
			--with-logdir=/var/log/cfengine3 \
			--with-piddir=/var/run/cfengine3 \
			--libdir=/usr/lib/cfengine3 \
			--docdir=\$${prefix}/share/doc/cfengine3 \
			--datadir=\$${prefix}/share/cfengine3 \
			--mandir=\$${prefix}/share/man \
			CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,relro" \
			CPPFLAGS=-D_FORTIFY_SOURCE=2
	cd masterfiles && ./autogen.sh  --prefix=/usr/share/cfengine3 \
					--with-core=$(CURDIR)

override_dh_clean:
	dh_autoreconf_clean
	dh_clean --exclude=#008.cf#

override_dh_installchangelogs:
	dh_installchangelogs --exclude=ChangeLog

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -Dmasterfiles

override_dh_compress:
	dh_compress -X.cf

override_dh_strip:
	dh_strip --dbg-package=cfengine3-dbg

override_dh_installman:
	## Man pages are created with an undocumented flag
	/bin/mkdir -p $(CURDIR)/debian/cfengine3/usr/share/man/man8/
	for p in cf-agent cf-key cf-promises cf-runagent cf-execd cf-serverd cf-monitord; \
		do $(CURDIR)/$$p/$$p -M > $(CURDIR)/debian/cfengine3/usr/share/man/man8/$$p.8 ;\
        done
	dh_installman

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -Dmasterfiles

override_dh_install:
	dh_install --exclude=examples --exclude=ChangeLog

=== debian/watch ===
version=3
opts=uversionmangle=s/^(.*\db\d?)$/0.0.$1/ \
https://cfengine.com/source-code/ \
(?:|.*/)cfengine(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## cfengine3 3.7.4

=== debian/changelog ===
cfengine3 (3.7.4-4) unstable; urgency=medium

  * debian/watch: added a line to download masterfiles.
  * debian/patches/0006-skip_failing_tests.patch:
    + disabled run_lastseen_threaded_load to build on powerpc.

 --  Antonio Radici <antonio@debian.org>  Wed, 17 Aug 2016 16:39:45 +0100

cfengine3 (3.7.4-3) unstable; urgency=medium

  * debian/patches:
    + consolidated all failing tests into 0006-skip_failing_tests.patch
    + added rlist_test to the above patch, it fails in reproducibility test
    + 0010_disable_date_annotation.patch to disable the date annotation in the
      manual, otherwise the reproducibility build fails.

 -- Antonio Radici <antonio@debian.org>  Tue, 16 Aug 2016 20:43:40 +0100

cfengine3 (3.7.4-2) unstable; urgency=medium

  * debian/patches:
    + 0007-fix_kfreebsd_build.patch updated to remove process_test which fails
      in kfreebsd builds

 -- Antonio Radici <antonio@debian.org>  Tue, 16 Aug 2016 09:38:03 +0100

cfengine3 (3.7.4-1) unstable; urgency=medium

  * Upgraded to the latest upstream LTS.
    + the above upgrade solves the build problem (Closes: 831028)
  * debian/rules:
    + setting EXPLICIT_VERSION due to a new requirement in upstream's
      configure.ac
    + enabled all hardening options using the exported build flags 
  * debian/patches:
    + dropped 0001-redmine_6316.patch which was already included upstream
    + added 0009_disable_spelling_errors.patch to fix spelling error
    + patches refreshed
  * debian/control:
    + Standards-Version upgrade to 3.9.8, no change required
    + VCS url moved to canonical and secure links
    + Added python as recommended dependency due to some modules provided
      with 3.7.4

 -- Antonio Radici <antonio@debian.org>  Mon, 15 Aug 2016 09:56:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: cfengine3
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antonio Radici <antonio@debian.org>
-Build-Depends: debhelper (>= 7.0.50), autotools-dev, libssl-dev, libpq-dev,
- flex, bison, libpcre3-dev, dh-autoreconf, libvirt-dev, libacl1-dev, liblmdb-dev,
- libmysqlclient-dev, libpq-dev, libxml2-dev, quilt, libpam0g-dev
-Standards-Version: 3.9.6
+Maintainer: Antonio Radici <antonio@debian.org>
+Build-Depends: debhelper (>= 7.0.50), autotools-dev, libssl-dev,
+ libpq-dev, flex, bison, libpcre3-dev, dh-autoreconf, libvirt-dev, libacl1-dev,
+ liblmdb-dev, libmysqlclient-dev, libpq-dev, libxml2-dev, quilt, libpam0g-dev
+Standards-Version: 3.9.8
 Homepage: http://www.cfengine.org/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/cfengine3.git
-Vcs-Git: git://git.debian.org/git/collab-maint/cfengine3.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/cfengine3.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cfengine3.git
 
 Package: cfengine3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: python
 Description: tool for configuring and maintaining network machines
  Cfengine is a suite of programs for integrated autonomic management
  of either individual or networked computers.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,11 @@
 #!/usr/bin/make -f
 # vim:noet:ts=4:sw=4:
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+export EXPLICIT_VERSION = $(shell dpkg-parsechangelog -S version | cut  -f 1 -d -)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with quilt
@@ -13,17 +19,17 @@
 			--with-libvirt \
 			--with-lmdb \
 			--with-libxml2 \
+			--with-masterdir=\$${prefix}/share/cfengine3/masterfiles \
 			--with-workdir=/var/lib/cfengine3 \
 			--with-logdir=/var/log/cfengine3 \
 			--with-piddir=/var/run/cfengine3 \
 			--libdir=/usr/lib/cfengine3 \
 			--docdir=\$${prefix}/share/doc/cfengine3 \
 			--datadir=\$${prefix}/share/cfengine3 \
-			--mandir=\$${prefix}/share/man \
-			CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,relro" \
-			CPPFLAGS=-D_FORTIFY_SOURCE=2
-	cd masterfiles && ./autogen.sh  --prefix=/usr/share/cfengine3 \
-					--with-core=$(CURDIR)
+			--mandir=\$${prefix}/share/man
+	cd masterfiles && ./configure --prefix=/usr/share/cfengine3 \
+									--with-core=$(CURDIR)
+
 
 override_dh_clean:
 	dh_autoreconf_clean

## cfengine3 3.9.1

=== tests/acceptance/25_cf-execd/Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# tests/acceptance/25_cf-execd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#  Copyright (C) CFEngine AS
#
#  This file is part of CFEngine 3 - written and maintained by CFEngine AS.
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the
#  Free Software Foundation; version 3.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
#
# To the extent this program is licensed as part of the Enterprise
# versions of CFEngine, the applicable Commercial Open Source License
# (COSL) may apply to this file if you as a licensee so wish it. See
# included file COSL.txt.
#


pkgdatadir = $(datadir)/cfengine
pkgincludedir = $(includedir)/cfengine
pkglibdir = $(libdir)/cfengine
pkglibexecdir = $(libexecdir)/cfengine
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
noinst_PROGRAMS = cf-execd-test$(EXEEXT)
subdir = tests/acceptance/25_cf-execd
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acinclude.m4 \
	$(top_srcdir)/m4/adl_recursive_eval.m4 \
	$(top_srcdir)/m4/cf3_check_proper_func.m4 \
	$(top_srcdir)/m4/cf3_path_root_prog.m4 \
	$(top_srcdir)/m4/cf3_with_library.m4 \
	$(top_srcdir)/m4/fchmodat.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/old-autoconf.m4 $(top_srcdir)/m4/snprintf.m4 \
	$(top_srcdir)/m4/strndup.m4 $(top_srcdir)/m4/tar.m4 \
	$(top_srcdir)/m4/cf3_gcc_flags.m4 \
	$(top_srcdir)/m4/cf3_platforms.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/libutils/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am__cf_execd_test_SOURCES_DIST = cf-execd-rpl-functions.c
am_cf_execd_test_OBJECTS = cf-execd-rpl-functions.$(OBJEXT)
cf_execd_test_OBJECTS = $(am_cf_execd_test_OBJECTS)
cf_execd_test_DEPENDENCIES =  \
	../../../cf-execd/libcf-execd-test.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
DEFAULT_INCLUDES = -I. -I$(top_builddir)/libutils
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC    " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD  " $@;
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
SOURCES = $(cf_execd_test_SOURCES)
DIST_SOURCES = $(am__cf_execd_test_SOURCES_DIST)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.9.x/core/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.9.x/core/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.9.x/core/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.9.x/core/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -pthread -g -O2 -g -Wall -Wno-pointer-sign -Werror=implicit-function-declaration -Wunused-parameter -O2 -DNDEBUG 
CORE_CFLAGS =             -pthread -g -O2 -g -Wall -Wno-pointer-sign -Werror=implicit-function-declaration -Wunused-parameter -O2 -DNDEBUG 
CORE_CPPFLAGS =            -Icheck/include/libxml2  -std=gnu99
CORE_LDFLAGS =             -L/var/cfengine/lib -Wl,-R/var/cfengine/lib
CORE_LIBS =  -ltokyocabinet    -lpcre   -lssl -lcrypto                -ldl -lrt -lm  
CPP = gcc -E
CPPFLAGS =  -std=gnu99
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GETCONF = /usr/bin/getconf
GETLOADAVG_LIBS = 
GREP = /bin/grep
HOSTNAME = /bin/hostname
INIT_D_PATH = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
KMEM_GROUP = 
LCOV = 
LCOV_GENHTML = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -L/var/cfengine/lib -Wl,-R/var/cfengine/lib
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBACL_CFLAGS = 
LIBACL_CPPFLAGS = 
LIBACL_LDFLAGS = 
LIBACL_LIBS =  
LIBACL_PATH = default path
LIBCURL_CFLAGS = 
LIBCURL_CPPFLAGS = 
LIBCURL_LDFLAGS = 
LIBCURL_LIBS =  
LIBCURL_PATH = default path
LIBOBJS =  ${LIBOBJDIR}strlcat$U.o ${LIBOBJDIR}strlcpy$U.o ${LIBOBJDIR}memdup$U.o ${LIBOBJDIR}closefrom$U.o ${LIBOBJDIR}rpl_ctime$U.o ${LIBOBJDIR}strrstr$U.o
LIBS = -ldl -lrt -lm  
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBVIRT_CFLAGS = 
LIBVIRT_CPPFLAGS = 
LIBVIRT_LDFLAGS = 
LIBVIRT_LIBS =  
LIBVIRT_PATH = default path
LIBXML2_CFLAGS = 
LIBXML2_CPPFLAGS = -Icheck/include/libxml2
LIBXML2_LDFLAGS = 
LIBXML2_LIBS =  
LIBXML2_PATH = default path
LIBYAML_CFLAGS = 
LIBYAML_CPPFLAGS = 
LIBYAML_LDFLAGS = 
LIBYAML_LIBS =  
LIBYAML_PATH = default path
LIPO = 
LMDB_CFLAGS = 
LMDB_CPPFLAGS = 
LMDB_LDFLAGS = 
LMDB_LIBS = 
LMDB_PATH = 
LN_S = ln -s
LTLIBOBJS =  ${LIBOBJDIR}strlcat$U.lo ${LIBOBJDIR}strlcpy$U.lo ${LIBOBJDIR}memdup$U.lo ${LIBOBJDIR}closefrom$U.lo ${LIBOBJDIR}rpl_ctime$U.lo ${LIBOBJDIR}strrstr$U.lo
MAINT = 
MAKEINFO = 
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MYSQL_CFLAGS = 
MYSQL_CPPFLAGS = 
MYSQL_LDFLAGS = 
MYSQL_LIBS =  
MYSQL_PATH = default path
NEED_SETGID = false
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPENSSL_CFLAGS = 
OPENSSL_CPPFLAGS = 
OPENSSL_LDFLAGS = 
OPENSSL_LIBS = -lssl -lcrypto  
OPENSSL_PATH = default path
OS_ENVIRONMENT_PATH = 
OTOOL = 
OTOOL64 = 
PACKAGE = cfengine
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PAM_CFLAGS = 
PAM_CPPFLAGS = 
PAM_LDFLAGS =  -R/lib
PAM_LIBS = -lpam -ldl -lrt -lm  
PAM_PATH = default path
PATH_SEPARATOR = :
PCRE_CFLAGS = 
PCRE_CPPFLAGS = 
PCRE_LDFLAGS = 
PCRE_LIBS = -lpcre  
PCRE_PATH = default path
PERL = /usr/bin/perl
POSTGRESQL_CFLAGS = 
POSTGRESQL_CPPFLAGS = 
POSTGRESQL_LDFLAGS = 
POSTGRESQL_LIBS =  
POSTGRESQL_PATH = default path
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
QDBM_CFLAGS = 
QDBM_CPPFLAGS = 
QDBM_LDFLAGS = 
QDBM_LIBS = 
QDBM_PATH = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYSTEMD_SERVICE_PATH = 
TOKYOCABINET_CFLAGS = 
TOKYOCABINET_CPPFLAGS = 
TOKYOCABINET_LDFLAGS = 
TOKYOCABINET_LIBS = -ltokyocabinet  
TOKYOCABINET_PATH = /usr
VERSION = 3.9.1
YACC = bison -y
YFLAGS = 
abs_builddir = /home/jenkins/workspace/bootstrap-packages-3.9.x/core/tests/acceptance/25_cf-execd
abs_srcdir = /home/jenkins/workspace/bootstrap-packages-3.9.x/core/tests/acceptance/25_cf-execd
abs_top_builddir = /home/jenkins/workspace/bootstrap-packages-3.9.x/core
abs_top_srcdir = /home/jenkins/workspace/bootstrap-packages-3.9.x/core
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar --hard-dereference -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
enable_builtin_extensions = no
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
hw_cv_func_ctime_proper = no
hw_cv_func_mkdir_proper = yes
hw_cv_func_rename_proper = yes
hw_cv_func_stat_proper = yes
includedir = ${prefix}/include
infodir = ${datarootdir}/info
inputdir = default
install_sh = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.9.x/core/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
logdir = /var/cfengine
mandir = ${exec_prefix}/share/man
masterdir = default
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
piddir = /var/cfengine
prefix = /var/cfengine
program_transform_name = s,x,x,
projlibdir = ${exec_prefix}/lib
psdir = ${docdir}
sbindir = ${exec_prefix}/bin
sharedstatedir = ${prefix}/com
srcdir = .
statedir = default
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..
workdir = /var/cfengine
AM_CPPFLAGS = \
	$(OPENSSL_CPPFLAGS) \
	-I$(srcdir)/../../../libpromises \
	-I$(srcdir)/../../../libutils \
	-I$(srcdir)/../../../libcfnet \
	-I$(srcdir)/../../../libenv \
	-I$(srcdir)/../../../cf-execd \
	$(PCRE_CPPFLAGS) \
	$(ENTERPRISE_CPPFLAGS)

cf_execd_test_SOURCES = cf-execd-rpl-functions.c
cf_execd_test_LDADD = ../../../cf-execd/libcf-execd-test.la
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/acceptance/25_cf-execd/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tests/acceptance/25_cf-execd/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \

=== debian/changelog ===
cfengine3 (3.9.1-4.2) unstable; urgency=medium

  * fix masterdir configuration (closes: 852675)
  * revert ssl1.1 patch which leads to segfaults with older clients
    (closes: #862903)

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 18 May 2017 14:14:45 +0200

cfengine3 (3.9.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Build-Depends to default-libmysqlclient-dev.  (Closes: #845829)
  * cfengine3: Add dependency on lsb-base, thanks to lintian.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Jan 2017 15:09:03 +0100

cfengine3 (3.9.1-4) unstable; urgency=medium

  * Uploading the experimental package to unstable (Closes: 828263).

 -- Antonio Radici <antonio@debian.org>  Thu, 01 Dec 2016 20:55:30 +0000

cfengine3 (3.9.1-3) experimental; urgency=medium

  * Disable all load/ tests otherwise we cannot build on powerpc
    (Closes: 834978)

 -- Antonio Radici <antonio@debian.org>  Sun, 21 Aug 2016 11:41:44 +0100

cfengine3 (3.9.1-2) experimental; urgency=medium

  * debian/control: added an explicit build-dep to openssl 1.1

 -- Antonio Radici <antonio@debian.org>  Sat, 20 Aug 2016 17:00:42 +0100

cfengine3 (3.9.1-1) experimental; urgency=medium

  * Uploading the non-LTS version 3.9.1 to experimental.
  * debian/patches:
    + all patches refreshed
    + created 0011_build_with_openssl_1.1.patch to build with openssl1.1
  * debian/rules:
    + disabled postgresql as it still links to openssl < 1.1
  * debian/control:
    + removed libpq-dev for same reason above

 -- Antonio Radici <antonio@debian.org>  Wed, 17 Aug 2016 16:23:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Antonio Radici <antonio@debian.org>
-Build-Depends: debhelper (>= 7.0.50), autotools-dev, libssl-dev,
- libpq-dev, flex, bison, libpcre3-dev, dh-autoreconf, libvirt-dev, libacl1-dev,
- liblmdb-dev, libmysqlclient-dev, libpq-dev, libxml2-dev, quilt, libpam0g-dev
+Build-Depends: debhelper (>= 7.0.50), autotools-dev, libssl1.0-dev | libssl-dev (<< 1.1),
+ flex, bison, libpcre3-dev, dh-autoreconf, libvirt-dev, libacl1-dev,
+ liblmdb-dev, default-libmysqlclient-dev, libxml2-dev, quilt, libpam0g-dev
 Standards-Version: 3.9.8
 Homepage: http://www.cfengine.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/cfengine3.git
@@ -12,7 +12,7 @@
 
 Package: cfengine3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: lsb-base (>= 3.0-6), ${shlibs:Depends}, ${misc:Depends}
 Recommends: python
 Description: tool for configuring and maintaining network machines
  Cfengine is a suite of programs for integrated autonomic management

=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,17 @@
 %:
 	dh $@ --with quilt
 
+# TODO(antonio): disable sql in experimental as postgresql is not ready for
+# openssl1.1 transition, re-enable once it becomes ready.
 override_dh_auto_configure:
 	dh_autoreconf
 	./configure 	--prefix=/usr \
 			--with-sql=yes \
-			--with-mysql \
-			--with-postgresql \
+			--without-sql \
 			--with-libvirt \
 			--with-lmdb \
 			--with-libxml2 \
-			--with-masterdir=\$${prefix}/share/cfengine3/masterfiles \
+			--with-masterdir=/var/lib/cfengine3/masterfiles \
 			--with-workdir=/var/lib/cfengine3 \
 			--with-logdir=/var/log/cfengine3 \
 			--with-piddir=/var/run/cfengine3 \
